var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { Flex } from '@workday/canvas-kit-react/layout';
var baseStyles = {
    color: 'blackPepper500',
    minHeight: 'xl',
    minWidth: '2rem',
    padding: 'xs',
};
export var FlexExample = function () { return (React.createElement(Flex, { columnGap: "xs" },
    React.createElement(Flex, { flexDirection: "column", rowGap: "xs", flex: 1 },
        React.createElement(Flex.Item, __assign({ backgroundColor: "cinnamon300", textAlign: "center" }, baseStyles), "1"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "sourLemon300", textAlign: "center" }, baseStyles), "1"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "blueberry300", textAlign: "center" }, baseStyles), "1")),
    React.createElement(Flex, { flexDirection: "column", rowGap: "xs", flex: 2 },
        React.createElement(Flex.Item, __assign({ backgroundColor: "cinnamon300", textAlign: "center" }, baseStyles), "2"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "sourLemon300", textAlign: "center" }, baseStyles), "2"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "blueberry300", textAlign: "center" }, baseStyles), "2")),
    React.createElement(Flex, { flexDirection: "column", rowGap: "xs", flex: 1 },
        React.createElement(Flex.Item, __assign({ backgroundColor: "cinnamon300", textAlign: "center" }, baseStyles), "1"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "sourLemon300", textAlign: "center" }, baseStyles), "1"),
        React.createElement(Flex.Item, __assign({ backgroundColor: "blueberry300", textAlign: "center" }, baseStyles), "1")))); };
